<%@ Control Language="vb" Inherits="TressleWorks.Modules.ThermoChart.ThermoChartSettings"
    AutoEventWireup="false" Explicit="True" CodeBehind="ThermoChartSettings.ascx.vb" %>
<%@ Register TagPrefix="dnn" TagName="Label" Src="LabelHelpControl.ascx" %>
<%@ Register TagPrefix="dnn" Namespace="DotNetNuke.UI.WebControls" Assembly="DotNetNuke" %>
<%@ Register TagPrefix="dnn" Namespace="DotNetNuke.Web.UI.WebControls" Assembly="DotNetNuke.Web" %>
<div id="pnlSettings" runat="server" class="dnnForm">
    <div id="ChartBase" class="dnnClear">
        <fieldset>
            <div class="dnnFormItem">
                <dnn:Label ID="lblTitle" runat="server" Text="Chart Title:" ControlName="txtTitle" />
                <asp:TextBox ID="txtTitle" runat="server" Width="450" CssClass="NormalTextBox"></asp:TextBox>
            </div>
            <div class="dnnFormItem">
                <dnn:Label ID="lblTitleFontSettings" runat="server" Text="Title Font Settings:" ControlName="txtTitle" />
                <asp:TextBox ID="txtTitleFontSettings" runat="server" Width="450" CssClass="NormalTextBox"></asp:TextBox><br />
            </div>
            <div class="dnnFormItem">
                <dnn:Label ID="lblCurrentValue" runat="server" Text="Current Value:" ControlName="txtCurrentValue" />
                <asp:TextBox ID="txtCurrentValue" runat="server" Width="150" CssClass="NormalTextBox"></asp:TextBox>
            </div>
          
            <div class="dnnFormItem">
                <dnn:Label ID="lblShowValue" runat="server" Text="Show Value:" ControlName="chkShowValue" />
                <asp:CheckBox ID="chkShowValue" runat="server"></asp:CheckBox>&nbsp;&nbsp;
            </div>
            <div class="dnnFormItem">
                <dnn:Label ID="lblShowValueAsPercent" runat="server" Text="as Percent:" ControlName="chkShowValueAsPercent" />
                &nbsp;
                <asp:CheckBox ID="chkShowValueAsPercent" runat="server"></asp:CheckBox>
            </div>
            <div class="dnnFormItem">
                <dnn:Label ID="lblValueType" runat="server" Text="Value Format:" ControlName="ddlValueType" />
                <asp:DropDownList ID="ddlValueType" runat="server" Width="150" CssClass="NormalTextBox">
                </asp:DropDownList>
            </div>
            <div class="dnnFormItem">
                <dnn:Label ID="lblValueFontSettings" runat="server" Text="Value Font Settings:" ControlName="txtValueFontSettings" />
                <asp:TextBox ID="txtValueFontSettings" runat="server" Width="150" CssClass="NormalTextBox"></asp:TextBox><br />
            </div>
            <div class="dnnFormItem">
                <dnn:Label ID="lblValueFormat" runat="server" Text="User Format:" ControlName="txtValueFormat" />
                <asp:TextBox ID="txtValueFormat" runat="server" Width="150" CssClass="NormalTextBox"></asp:TextBox>
            </div>
              <div class="dnnFormItem">
                <dnn:Label ID="lblIMCParameterName" runat="server" Text="IMC Paramter" ControlName="ddlValueType" />
                <asp:TextBox ID="txtIMCParameterName" runat="server" Width="200" CssClass="NormalTextBox"></asp:TextBox>
            </div>
        </fieldset>
    </div>
    <div id="TCDisplayOptions" class="dnnClear">
        <div id="TCOptionPanels">
            <h2 id="dshDisplay" class="dnnFormSectionHead">
                <a href="#">Display Options:</a>
            </h2>
            <fieldset>
                <div class="dnnFormItem">
                    <dnn:Label ID="lblHeight" runat="server" Text="Height:" ControlName="txtHeight" />
                    <asp:TextBox ID="txtHeight" runat="server" Width="50" CssClass="NormalTextBox"></asp:TextBox>
                </div>
                <div class="dnnFormItem">
                    <dnn:Label ID="lblWidth" runat="server" Text="Width:" ControlName="txtWidth" />
                    <asp:TextBox ID="txtWidth" runat="server" Width="50" CssClass="NormalTextBox"></asp:TextBox>
                </div>
                <div class="dnnFormItem">
                    <dnn:Label ID="lblScaleLocation" runat="server" Text="Scale Location:" ControlName="ddlScaleLocation" />
                    <asp:DropDownList ID="ddlScaleLocation" runat="server" Width="150" CssClass="NormalTextBox">
                    </asp:DropDownList>
                </div>
                <div class="dnnFormItem">
                    <dnn:Label ID="lblScaleFormat" runat="server" Text="Scale Format:" ControlName="txtScaleFormat" />
                    <asp:TextBox ID="txtScaleFormat" runat="server" Width="50" CssClass="NormalTextBox"></asp:TextBox>
                </div>
                <div class="dnnFormItem">
                    <dnn:Label ID="lblMinValue" runat="server" Text="Minimin Value:" ControlName="txtMinValue" />
                    <asp:TextBox ID="txtMinValue" runat="server" Width="50" CssClass="NormalTextBox"></asp:TextBox>
                </div>
                <div class="dnnFormItem">
                    <dnn:Label ID="lblMaxValue" runat="server" Text="Maximum Value:" ControlName="txtMaxValue" />
                    <asp:TextBox ID="txtMaxValue" runat="server" Width="50" CssClass="NormalTextBox"></asp:TextBox>
                </div>
                <div class="dnnFormItem">
                    <dnn:Label ID="lblMajorMarkerCount" runat="server" Text="Major Marker Count:" ControlName="txtMajorMarkerCount" />
                    <asp:TextBox ID="txtMajorMarkerCount" runat="server" Width="50" CssClass="NormalTextBox"></asp:TextBox>
                </div>
                <div class="dnnFormItem">
                    <dnn:Label ID="lblMinorMarkerCount" runat="server" Text="Minor Marker Count:" ControlName="txtMinorMarkerCount" />
                    <asp:TextBox ID="txtMinorMarkerCount" runat="server" Width="50" CssClass="NormalTextBox"></asp:TextBox>
                </div>
                <div class="dnnFormItem">
                    <dnn:Label ID="lblScaleFontSettings" runat="server" Text="Scale Font Settings:" ControlName="txtScaleFontSettings" />
                    <asp:TextBox ID="txtScaleFontSettings" runat="server" Width="450" CssClass="NormalTextBox"></asp:TextBox><br />
                </div>
                <div class="dnnFormItem">
                    <dnn:Label ID="lblMatrixRows" runat="server" Text="Matrix Rows:" ControlName="txtMatrixRows" />
                    <asp:TextBox ID="txtMatrixRows" runat="server" Width="50" CssClass="NormalTextBox"></asp:TextBox>
                </div>
                <div class="dnnFormItem">
                    <dnn:Label ID="lblMatrixColumns" runat="server" Text="Matrix Columns:" ControlName="txtMatrixColumns" />
                    <asp:TextBox ID="txtMatrixColumns" runat="server" Width="50" CssClass="NormalTextBox"></asp:TextBox>
                </div>
            </fieldset>
            <h2 id="dshData" class="dnnFormSectionHead">
                <a href="#">Data Options:</a>
            </h2>
            <fieldset>
                <div class="dnnFormItem">
                    <dnn:Label ID="lblEnableSQL" runat="server" Text="Enable SQL:" ControlName="chkShowValue" />
                    <asp:CheckBox ID="chkEnableSQL" runat="server"></asp:CheckBox>
                </div>
                <div class="dnnFormItem">
                    <dnn:Label ID="lblSQLCommand" runat="server" Text="SQL Select:" ControlName="txtSQLCommand" />
                    <asp:TextBox ID="txtSQLCommand" runat="server" TextMode="MultiLine" Rows="5" Width="450"
                        CssClass="NormalTextBox"></asp:TextBox>
                </div>
                <div class="dnnFormItem">
                    <dnn:Label ID="lblConnectionString" runat="server" Text="Connection String:" ControlName="txtConnectionString" />
                    <asp:TextBox ID="txtConnectionString" runat="server" Width="450" CssClass="NormalTextBox"></asp:TextBox>
                </div>
                <div class="dnnFormItem">
                    <dnn:Label ID="lblShowSQLCommand" runat="server" Text="Show SQL Command (Testing):"
                        ControlName="chkShowSQLCommand" />
                    <asp:CheckBox ID="chkShowSQLCommand" runat="server"></asp:CheckBox>
                </div>
            </fieldset>
            <h2 id="dshAdvanced" class="dnnFormSectionHead">
                <a href="#">Advanced:</a>
            </h2>
            <fieldset>
                <div class="dnnFormItem">
                    <dnn:Label ID="lblShowBulb" runat="server" Text="Show Bulb:" ControlName="chkShowBulb" />
                    <asp:CheckBox ID="chkShowBulb" runat="server"></asp:CheckBox>
                </div>
                <div class="dnnFormItem">
                    <dnn:Label ID="lblRoundedTip" runat="server" Text="Round Tip:" ControlName="chkShowRoundedTip" />
                    <asp:CheckBox ID="chkShowRoundedTip" runat="server"></asp:CheckBox>
                </div>
                <div class="dnnFormItem">
                    <dnn:Label ID="lblShowShadow" runat="server" Text="Show Shadow:" ControlName="chkShowShadow" />
                    <asp:CheckBox ID="chkShowShadow" runat="server"></asp:CheckBox>
                </div>
                <div class="dnnFormItem">
                    <dnn:Label ID="lblShowGradientOverRange" runat="server" Text="Show Gradient Over Range:"
                        ControlName="chkShowGradientOverRange" />
                    <asp:CheckBox ID="chkShowGradientOverRange" runat="server"></asp:CheckBox>
                </div>
                <div class="dnnFormItem">
                    <dnn:Label ID="lblMercuryColourSettings" runat="server" Text="Mercury Color Settings:"
                        ControlName="txtMercuryColourSettings" />
                    <asp:TextBox ID="txtMercuryColourSettings" runat="server" Width="450" CssClass="NormalTextBox"></asp:TextBox><br />
                </div>
                <div class="dnnFormItem">
                    <dnn:Label ID="lblBackgroundColorSettings" runat="server" Text="Background Color Settings:"
                        ControlName="txtBackgroundColorSettings" />
                    <asp:TextBox ID="txtBackgroundColorSettings" runat="server" Width="450" CssClass="NormalTextBox"></asp:TextBox><br />
                </div>
                <div class="dnnFormItem">
                    <dnn:Label ID="lblShadowColorSettings" runat="server" Text="Shadow Color Settings:"
                        ControlName="txtShadowColorSettings" />
                    <asp:TextBox ID="txtShadowColorSettings" runat="server" Width="450" CssClass="NormalTextBox"></asp:TextBox><br />
                </div>
                <div class="dnnFormItem">
                    <dnn:Label ID="lblMarginSizes" runat="server" Text="Margin Sizes:" ControlName="txtMarginSizes" />
                    <asp:TextBox ID="txtMarginSizes" runat="server" Width="100" CssClass="NormalTextBox"></asp:TextBox>
                </div>
                <div class="dnnFormItem">
                    <dnn:Label ID="lblMarkerSizes" runat="server" Text="Marker Sizes:" ControlName="txtMarkerSizes" />
                    <asp:TextBox ID="txtMarkerSizes" runat="server" Width="100" CssClass="NormalTextBox"></asp:TextBox>
                </div>
                <div class="dnnFormItem">
                    <dnn:Label ID="lblShaftWidth" runat="server" Text="Shaft Width:" ControlName="txtShaftWidth" />
                    <asp:TextBox ID="txtShaftWidth" runat="server" Width="50" CssClass="NormalTextBox"></asp:TextBox>
                </div>
                <div class="dnnFormItem">
                    <dnn:Label ID="lblCenterLineAdjust" runat="server" Text="Center-Line Adjust:" ControlName="txtCenterLineAdjust" />
                    <asp:TextBox ID="txtCenterLineAdjust" runat="server" Width="50" CssClass="NormalTextBox"></asp:TextBox>
                </div>
            </fieldset>
            <h2 id="dshMessages" class="dnnFormSectionHead">
                <a href="#">Messages:</a>
            </h2>
            <fieldset>
                <div class="dnnFormItem">
                    <dnn:Label ID="lblHeader" runat="server" Text="Header:" ControlName="txtHeader" />
                    <asp:TextBox ID="txtHeader" runat="server" TextMode="MultiLine" Rows="4" Width="450"></asp:TextBox>
                </div>
                <div class="dnnFormItem">
                    <dnn:Label ID="lblFooter" runat="server" Text="Footer" ControlName="txtFooter" />
                    <asp:TextBox ID="txtFooter" runat="server" TextMode="MultiLine" Rows="4" Width="450"></asp:TextBox>
                </div>
            </fieldset>
        </div>
    </div>
    <asp:Panel ID="pnlMessageBottom" runat="server" Visible="false" HorizontalAlign="center">
        <asp:Label ID="lblMessage" runat="server" Visible="false" CssClass="NormalRed"></asp:Label>
    </asp:Panel>
    <ul class="dnnActions dnnClear">
        <li>
            <asp:LinkButton ID="cmdUpdate" runat="server" CssClass="dnnPrimaryAction" resourcekey="cmdUpdate"
                Text="Update"></asp:LinkButton>
        </li>
        <li>
            <asp:LinkButton ID="cmdCancel" runat="server" CssClass="dnnSecondaryAction" resourcekey="cmdCancel"
                Text="Cancel"></asp:LinkButton>
        </li>
    </ul>
</div>
<script type="text/javascript">
    jQuery(function ($) {

        var setupModule = function () {
            $('#TCOptionPanels').dnnPanels();
        };
        setupModule();
        Sys.WebForms.PageRequestManager.getInstance().add_endRequest(function () {
            // note that this will fire when _any_ UpdatePanel is triggered,
            // which may or may not cause an issue
            setupModule();
        });
    });
</script>
